%define name    ircclient-qt
%define version 0.3.2
%define release %mkrel 10
%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    	A cross-platform IRC client library written with Qt 4
License:    	GPLv2+
Group:      	Networking/Other
URL:        	http://bitbucket.org/jpnurmi/libircclient-qt/wiki/Home
Source:     	http://bitbucket.org/jpnurmi/libircclient-qt/downloads/libircclient-qt-src-%{version}.tar.gz
Patch0:		libircclient-qt-configure.diff
BuildRequires:  icu-devel
BuildRequires:	qt4-devel

%description
IRCclient-qt is a fully Qt-based library to create IRC clients.

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Main library for ircclient-qt
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
IRCclient-qt is a fully Qt-based library to create IRC clients.

%files -n %{libname}
%doc doc/*
%{_libdir}/libircclient-qt.so.%{major}*

#--------------------------------------------------------------------

%package        -n     %{develname}
Summary:        Header files for the ircclient-qt library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Requires:  	    icu-devel
Requires:  	    qt4-devel

%description    -n %{develname}
This package includes the header files you will need to compile applications
for %name .

%files  -n %{develname}
%doc examples/*
%{_qt4_includedir}/ircclient-qt/*
%{_libdir}/libircclient-qt.so
%{_qt4_datadir}/mkspecs/features/libircclient-qt.prf

#--------------------------------------------------------------------

%prep 
%setup -q -n libircclient-qt-%{version}
%patch0 -p1 -b .fake_configure
chmod +x configure
%configure2_5x
%qmake_qt4 -config release

%build
%make
%install
INSTALL_ROOT=%{?buildroot:%{buildroot}} %makeinstall_std 



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.3.2-10.mga3
+ Revision: 354492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 0.3.2-9.mga3
+ Revision: 316644
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 0.3.2-8.mga3
+ Revision: 314775
- rebuild for new icu

* Wed May 30 2012 fwang <fwang> 0.3.2-7.mga3
+ Revision: 249629
- rebuild for new icu

* Mon Dec 26 2011 dmorgan <dmorgan> 0.3.2-6.mga2
+ Revision: 187982
- Use new qt4 macros
- Rebuild against new qt4 and new include path

  + dlucio <dlucio>
    - imported package ircclient-qt

